AmiKit - Your Modern Retro Experience
  Begin Register Reply Search Statistics AmiKit X  QuickGuide  SATISFIED WITH OUR SUPPORT? 
Online now: Guests - 1
Members - 0
Most users ever online: 605 [18 Apr 2019 18:52]
Guests - 605 / Members - 0
Specific questions AmiKit Support Forum / Specific questions /  
 

Vampire v2

 
Author Spacemonkeyuk
Partaker
#1 Posted: 30 Apr 2018 17:56 
Will amikit X run on a real Amiga 600 with a vampire v600v2

Author AmiKit
Admin
#2 Posted: 30 Apr 2018 18:01 
Hi,

current AmiKit X does not work on real Amiga. It requires some modifications.

But in future I would love to prepare a “native” version as soon as I buy a Vampire for me.

Meanwhile you can try the unofficial conversion of AmiKit 8 for real Amiga hardware: www.real.amiga.sk

Hope it helps.
Jan

Author Madlax
Partaker
#3 Posted: 10 May 2019 20:28 
I am running Amikit X on my Vampire 500 V2. It's not as fast as in WinUAE (obviously), but I am happy with it. Initially I updated version 10.5.2 to AmigaOS 3.1.4 and then copied it all to a CF Card formatted with PFS3. The only real issue I had was Directory Opus 5 crashing the entire system during boot up, because it seems to load some UAE specific AHI driver. I deleted everything that had UAE in the file name and I was able to boot it.

I think there is also UAE specific MathLibs installed, but those I believe were overwritten by the OS 3.1.4 upgrade.

Oh, and ShowAmiga96 needed to be fixed. Mainly because there is no 1280x720 boot logo. I did my own, not a big deal.

I installed Roadshow and the most recent version of Picasso96 from iComp, SAGA drivers, Indivision ECS drivers and all my key files. It's working great so far.

I have meanwhile customized the look quite a bit and also used the updater to upgrade to 10.5.3. I will try upgrading to Amikit XE tonight.

I think it wouldn't be too difficult to have a vampire switch. The UAE audio stuff was the only big issue for me. SAGA installation, etc. could be automated. A default 1280x720 resolution option would be nice too. But honestly, it's easily done if you really want AmiKit on your vamped A500. I personally LOVE installing Amiga OS and tweaking it

Question I have for everyone more experienced with all the patches included. I didn't change anything, except for disabling the one patch that hides that it is running in WinUAE. Are there any patches that would be beneficial to turn on or off for me?

Amikit is a great option for Vampire. Simply having everything pre-setup and automated updates is a huge plus compared to doing it from scratch, which I have, until I realized I might as well just run Amikit

Anyway, great job Jan! Looking forward to Amikit XE!

Author AmiKit
Admin
#4 Posted: 10 May 2019 20:43 
Hi Madlax and thank you for your post!

I am glad that it works for you on Vampire! I am still waiting for A1200 standalone version... which was supposed to be released in 2018? Well...

Anyway, I love installing Amiga OS and tweaking it too! That's how AmiKit was born, actually!

Regarding your question, I did the same in new AmiKit XE. No more hiding! Looking at the other items in Startup Control of MorpheuZ, I believe that you don't need to enable/disable anything else.

Just don't forget to backup your system before you upgrade to XE.

Cheers!
Jan

Author Madlax
Partaker
#5 Posted: 10 May 2019 21:07 
I will back it up for sure. Learned that the hard way after too much tinkering

I am waiting for new vamps too. I've been waiting since the Natami was announced. I finally pulled the trigger on the V2 even after the V4 was announced. I just couldn't wait any longer.

Author Madlax
Partaker
#6 Posted: 13 May 2019 08:56 
Update to Amikit XE went well. Had to restore and remove some stuff, but it's up and running now

Author AmiKit
Admin
#7 Posted: 13 May 2019 08:57 
Cool!

Enjoy!

Specific questions AmiKit Support Forum / Specific questions /
 Vampire v2

Your Reply Click this icon to move up to the quoted message


 ?
Only registered users are allowed to post here. Please, enter your username/password details upon posting a message, or register first.

 

 
AmiKit Support Forum Powered by Forum Script miniBB ®
 ⇑